---
layout: default
title: Home
nav_order: 0
permalink: /
---

# pirecorder documentation
{: .fs-9 }

*pirecorder* is a package to facilitate controlled and automated image and video recording for the raspberry pi, specifically developed with the biological sciences in mind.
{: .fs-6 .fw-300 }

![pirecorder logo](/pirecorder/assets/images/pirecorder-logo-large.jpg)

This website provides detailed documentation for setting-up your raspberry pi and installing and working with *pirecorder*. The guides provided here should also enable you to start working with your raspberry pi and making automated recordings, even if you have very limited knowledge of the raspberry pi and/or Python.

In addition to the documentation on this website, you can find a couple Jupyter notebooks in the [pirecorder repository](https://github.com/JolleJolles/pirecorder/tree/master/notebooks/) with all the relevant commands to start, configure, and run pirecorder, schedule recordings, and convert media. Jupyter is great to run Python interactively in your browser. To install it, simply open a terminal window and enter: `python -m pip install jupyter`, and then type `jupyter notebook` in Terminal to start an instance of Jupyter.

If you have issues with installing or working with *pirecorder* or have any feature requests, please submit them to the GitHub issue tracker [here](https://github.com/JolleJolles/pirecorder/issues).
